#
# spec file for package ghc-focus
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name focus
Name:           ghc-%{pkg_name}
Version:        0.1.5.2
Release:        6.1
Summary:        A general abstraction for manipulating elements of container data structures
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
An API for construction of free-form strategies of access and manipulation of
elements of arbitrary data structures. It allows to implement efficient
composite patterns, e.g., a simultaneous update and lookup of an element, and
even more complex things.

Strategies are meant to be interpreted by the host data structure libraries.
Thus they allow to implement all access and modification patterns of a data
structure with just a single function, which interprets strategies.

This library provides pure and monadic interfaces, so it supports both
immutable and mutable data structures.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update focus to version 0.1.5.2.
  A more detailed change log is not available.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.5 revision 0 with cabal2obs.
* Tue May 24 2016 mimi.vx@gmail.com
- update to 0.1.5
* Fri Oct 23 2015 mimi.vx@gmail.com
- initial commit
